All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.business
Class LookupValue

    com.sas.iquery.metadata.business.LookupValue

All Implemented Interfaces:
  Base, ModelItem, UsabilityInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

    @SASScope(value="ALL")
    @SubjectToChange
    public class LookupValue

implements java.lang.Cloneable

Defines a single lookup value that is used by `LookupList`. A LookupValue object contains a formatted and/or unformatted value that are used for possible filter values for a data item.

Field Summary

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Constructor Summary
`LookupValue()` Creates a default lookup value for which `null` will be returned by calls to `getFormattedValue()` and `getUnformattedValue()`.
`LookupValue(java.lang.String formatted, java.lang.String unformatted, boolean quoted)` Defines formatted and unformatted values for lookup and whether unformatted value should be placed within quotations.

Method Summary
`java.lang.String` | `getFormattedValue()` Returns the formatted data value.
`java.lang.String` | `getUnformattedValue()` Returns the unformatted data value.
`boolean` | `isQuoted()` Returns true if the unformatted value should be place within quotation marks within the data selection.
`void` | `setFormattedValue(java.lang.String value)` Set the formatted data value.
`void` | `setIsQuoted(boolean quoted)` The isQuoted attribute is used to determine if the unformatted value should be place within quotation marks within the data selection.
`void` | `setUnformattedValue(java.lang.String value)` Set the unformatted data value

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Constructor Detail

*** This constructor is subject to change. ***

### LookupValue

    @SASScope(value="ALL")
    @SubjectToChange
    public LookupValue()

  Creates a default lookup value for which `null` will be returned by calls to `getFormattedValue()` and `getUnformattedValue()`.

*** This constructor is subject to change. ***

### LookupValue

    @SASScope(value="ALL")
    @SubjectToChange
    public LookupValue(java.lang.String formatted,
                                                java.lang.String unformatted,
                                                boolean quoted)

  Defines formatted and unformatted values for lookup and whether unformatted value should be placed within quotations.

  Parameters:
    `formatted` - the formatted lookup value
    `unformatted` - the unformatted lookup value
    `quoted` - true if the unformatted lookup value should be in quotations.

Method Detail

*** This method is subject to change. ***

### setFormattedValue

    @SASScope(value="ALL")
    @SubjectToChange
    public void setFormattedValue(java.lang.String value)

  Set the formatted data value.

  Parameters:
    `value` - formatted data value

*** This method is subject to change. ***

### setUnformattedValue

    @SASScope(value="ALL")
    @SubjectToChange
    public void setUnformattedValue(java.lang.String value)

  Set the unformatted data value

  Parameters:
    `value` - unformatted data value

*** This method is subject to change. ***

### setIsQuoted

    @SASScope(value="ALL")
    @SubjectToChange
    public void setIsQuoted(boolean quoted)

  The isQuoted attribute is used to determine if the unformatted value should be place within quotation marks within the data selection. If set to true quotation marks should be used. Defaults true.

  Parameters:
    `quoted` - if true the unformatted value should be place within quotation marks within the data selection

*** This method is subject to change. ***

### getFormattedValue

    @SASScope(value="ALL")
    @SubjectToChange
    public java.lang.String getFormattedValue()

  Returns the formatted data value.

  Returns:
    the formatted data value.

*** This method is subject to change. ***

### getUnformattedValue

    @SASScope(value="ALL")
    @SubjectToChange
    public java.lang.String getUnformattedValue()

  Returns the unformatted data value.

  Returns:
    the unformatted data value.

*** This method is subject to change. ***

### isQuoted

    @SASScope(value="ALL")
    @SubjectToChange
    public boolean isQuoted()

  Returns true if the unformatted value should be place within quotation marks within the data selection. Otherwise false

  Returns:
    true if quotation marks should be used.

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.